Groovy 1.7.0

## org.codehaus.groovy.binding
Class ClosureSourceBinding

    java.lang.Object
      org.codehaus.groovy.binding.ClosureSourceBinding

All Implemented Interfaces:
  SourceBinding

    class ClosureSourceBinding
    extends Object

author:
  Danno Ferrin

version:
  $Revision: 7802 $

since:
  Groovy 1.1

Field Summary
`Object[]` | `arguments`
`Closure` | `closure`

Constructor Summary
`ClosureSourceBinding(Closure closure)`
`ClosureSourceBinding(Closure closure, Object[] arguments)`

Method Summary
`Closure` | `getClosure()`
`Object` | `getSourceValue()`
`void` | `setClosure(Closure closure)`
`void` | `setClosureArgument(Object argument)`
`void` | `setClosureArguments(Object[] arguments)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### arguments

    Object[] arguments

### closure

    Closure closure

Constructor Detail

### ClosureSourceBinding

    public ClosureSourceBinding(Closure closure)

### ClosureSourceBinding

    public ClosureSourceBinding(Closure closure, Object[] arguments)

Method Detail

### getClosure

    public Closure getClosure()

### getSourceValue

    public Object getSourceValue()

### setClosure

    public void setClosure(Closure closure)

### setClosureArgument

    public void setClosureArgument(Object argument)

### setClosureArguments

    public void setClosureArguments(Object[] arguments)

Copyright © 2003-2009 The Codehaus. All rights reserved.